### Method

# Malcontent WebFilter serialize

since: 0.14.0

#### Declaration [src]

    GVariant*
    mct_web_filter_serialize (
      MctWebFilter* filter
    )

#### Description [src]

Build a `GVariant` which contains the web filter from `filter`, in an opaque variant format.

This format may change in future, but `mct_web_filter_deserialize()` is guaranteed to always be able to load any variant produced by the current or any previous version of `mct_web_filter_serialize()`.

Available since: 0.14.0

#### Return value

Type: `GVariant`

A new, floating `GVariant` containing the web filter.

The returned data is owned by the instance.